# H501_CallInformation Class Reference

`#include <h501.h>`

Inheritance diagram for H501_CallInformation:

List of all members.

## Public Types

enum | OptionalFields { e_circuitID }

## Public Member Functions

| H501_CallInformation (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H225_CallIdentifier | m_callIdentifier
H225_ConferenceIdentifier | m_conferenceID
H225_CircuitInfo | m_circuitID

## Member Enumeration Documentation

enum H501_CallInformation::OptionalFields

Enumerator:

  e_circuitID |

## Constructor & Destructor Documentation

H501_CallInformation::H501_CallInformation | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H501_CallInformation::GetDataLength | ( |  | ) | const

PBoolean H501_CallInformation::Decode | ( | PASN_Stream & | strm | ) |

void H501_CallInformation::Encode | ( | PASN_Stream & | strm | ) | const

void H501_CallInformation::PrintOn | ( | ostream & | strm | ) | const

Comparison H501_CallInformation::Compare | ( | const PObject & | obj | ) | const

PObject* H501_CallInformation::Clone | ( |  | ) | const

## Member Data Documentation

H225_CallIdentifier H501_CallInformation::m_callIdentifier

H225_ConferenceIdentifier H501_CallInformation::m_conferenceID

H225_CircuitInfo H501_CallInformation::m_circuitID

The documentation for this class was generated from the following file:

- h501.h